#toast-container {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  z-index: 99999;
  pointer-events: none;
}

.toast {
  min-width: 260px;
  max-width: 320px;
  padding: 14px 16px;
  border: var(--border-standard);
  border-radius: 14px;
  color: var(--text-primary);
  background: var(--bg-dark-elements);
  backdrop-filter: blur(6px);
  box-shadow: var(--shadow-blue-on);
  opacity: 0;
  text-align: center;
  font-size: 15px;
  pointer-events: auto;
  transform: translateY(20px) scale(0.96);
  transition: all 0.3s ease;
}

.toast.show {
  transform: translateY(0) scale(1);
  opacity: 1;
}

.toast.hide {
  transform: translateY(10px) scale(0.96);
  opacity: 0;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {

}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {

}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {

}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {

}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .toast {
    min-width: 240px;
    max-width: 300px;
    font-size: 14px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .toast {
    min-width: 220px;
    max-width: 280px;
    font-size: 14px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .toast {
    min-width: 220px;
    max-width: 280px;
    font-size: 14px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .toast {
    min-width: 240px;
    max-width: 300px;
    font-size: 14px;
  }
}